Bug 675282 - Rebase ipa to FreeIPA v2.0.0 rc2
Rebase ipa to FreeIPA v2.0.0 rc2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 14:15 EST by Rob Crittenden
Modified: 2015-01-04 18:46 EST (History)
3 users (show)

See Also:
Fixed In Version: ipa-2.0.0-12.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2011-02-04 14:15:40 EST
The upstream FreeIPA package is FreeIPA 2.0.0 beta 2. There are still quite a few outstanding bugs that need to be fixed. This bug calls for a rebase of the ipa package to pick up these fixes.

IPA is a new package for RHEL6.1. 
It has been through the review. 
The bug fixes do not affect the review. 
This is a planned rebase according to the originally agreed plan to allow
rebases on the newly imported IPA related packages for the extended period of
time.
Comment 2 Rob Crittenden 2011-02-24 09:04:01 EST
Source tarball updated to 2.0.0 rc2
Comment 4 Jenny Galipeau 2011-04-07 15:24:16 EDT
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.1 Beta (Santiago)


# rpm -q ipa-admintools
ipa-admintools-2.0.0-20.el6.x86_64
[root@ipaqa64vmb ldif]# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 20.el6                        Build Date: Tue 05 Apr 2011
10:25:47 PM EDT
Install Date: Wed 06 Apr 2011 03:19:49 PM EDT      Build Host:
hs20-bc2-5.build.redhat.com
Group       : System Environment/Base       Source RPM:
ipa-2.0.0-20.el6.src.rpm
Size        : 2564159                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).

# rpm -qi ipa-client
Name        : ipa-client                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 20.el6                        Build Date: Tue 05 Apr 2011
10:25:47 PM EDT
Install Date: Wed 06 Apr 2011 03:19:12 PM EDT      Build Host:
hs20-bc2-5.build.redhat.com
Group       : System Environment/Base       Source RPM:
ipa-2.0.0-20.el6.src.rpm
Size        : 203620                           License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : IPA authentication for use on clients
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If your network uses IPA for authentication,
this package should be installed on every client machine.


# rpm -qi ipa-admintools
Name        : ipa-admintools               Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 20.el6                        Build Date: Tue 05 Apr 2011
10:25:47 PM EDT
Install Date: Wed 06 Apr 2011 03:19:12 PM EDT      Build Host:
hs20-bc2-5.build.redhat.com
Group       : System Environment/Base       Source RPM:
ipa-2.0.0-20.el6.src.rpm
Size        : 44350                            License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : IPA administrative tools
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). This package provides command-line tools for
IPA administrators.

# rpm -qi ipa-server-selinux
Name        : ipa-server-selinux           Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 20.el6                        Build Date: Tue 05 Apr 2011
10:25:47 PM EDT
Install Date: Wed 06 Apr 2011 03:19:16 PM EDT      Build Host:
hs20-bc2-5.build.redhat.com
Group       : System Environment/Base       Source RPM:
ipa-2.0.0-20.el6.src.rpm
Size        : 210986                           License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : SELinux rules for ipa-server daemons
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). This package provides SELinux rules for the
daemons included in ipa-server

# rpm -qi ipa-debuginfo
Name        : ipa-debuginfo                Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 20.el6                        Build Date: Tue 05 Apr 2011
10:25:47 PM EDT
Install Date: Thu 07 Apr 2011 03:03:53 PM EDT      Build Host:
hs20-bc2-5.build.redhat.com
Group       : Development/Debug             Source RPM:
ipa-2.0.0-20.el6.src.rpm
Size        : 867499                           License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : Debug information for package ipa
Description :
This package provides debug information for package ipa.
Debug information is useful when developing applications that use this
package or when debugging this package.
Comment 5 errata-xmlrpc 2011-05-19 09:44:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0631.html

Note You need to log in before you can comment on or make changes to this bug.